#include "xoperandinternaldataunion.h"

XOperandInternalDataUnion::XOperandInternalDataUnion()
    : XAsset()
    , mIntVal(0)
    , mFloatVal(0.0f)
    , mString("")
{
    SetName("Operand Internal Data Union");
}

XOperandInternalDataUnion::~XOperandInternalDataUnion()
{
    
}

void XOperandInternalDataUnion::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XOperandInternalDataUnion::ParseData
}

void XOperandInternalDataUnion::Clear()
{
    mIntVal = 0;
    mFloatVal = 0;
    mString.clear();
}
